<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Wed Apr 14 07:24:52 CEST 2021 -->
<title>SubwayStation</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-04-14">
<meta name="description" content="declaration: package: fr.ici.dataImporter.transport, class: SubwayStation">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":9,"i5":9,"i6":9,"i7":9,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SubwayStation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.transport</a></div>
<h1 title="Class SubwayStation" class="title">Class SubwayStation</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="Station.html" title="class in fr.ici.dataImporter.transport">fr.ici.dataImporter.transport.Station</a>
<div class="inheritance">fr.ici.dataImporter.transport.SubwayStation</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">SubwayStation</span>
extends <a href="Station.html" title="class in fr.ici.dataImporter.transport">Station</a></pre>
<div class="block">IdF Mobilité subway station object</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) org.locationtech.jts.geom.MultiPoint</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#entrances">entrances</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.transport.Station">Fields inherited from class&nbsp;fr.ici.dataImporter.transport.<a href="Station.html" title="class in fr.ici.dataImporter.transport">Station</a></h3>
<code><a href="Station.html#dailyProfiles">dailyProfiles</a>, <a href="Station.html#dailyValidation">dailyValidation</a>, <a href="Station.html#folderOut">folderOut</a>, <a href="Station.html#frequentation">frequentation</a>, <a href="Station.html#idsSTIF">idsSTIF</a>, <a href="Station.html#lineNames">lineNames</a>, <a href="Station.html#name">name</a>, <a href="Station.html#wheelchair">wheelchair</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.io.File,java.io.File,java.io.File)">SubwayStation</a></span>&#8203;(java.io.File&nbsp;dailyPProfiles,
java.io.File&nbsp;dailyVValidation,
java.io.File&nbsp;folderOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.locationtech.jts.geom.MultiPoint,java.util.List,java.lang.String,java.util.List)">SubwayStation</a></span>&#8203;(org.locationtech.jts.geom.MultiPoint&nbsp;entrances,
java.util.List&lt;java.lang.String[]&gt;&nbsp;idsSTIF,
java.lang.String&nbsp;nameStation,
java.util.List&lt;java.lang.String&gt;&nbsp;lineName)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.util.List&lt;<a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#add(org.locationtech.jts.geom.MultiPoint,java.lang.String%5B%5D,java.lang.String,java.lang.String,java.util.List)">add</a></span>&#8203;(org.locationtech.jts.geom.MultiPoint&nbsp;mp,
java.lang.String[]&nbsp;codeSTIF,
java.lang.String&nbsp;nameStation,
java.lang.String&nbsp;lineName,
java.util.List&lt;<a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a>&gt;&nbsp;alreadyProceededSubwayStation)</code></th>
<td class="col-last">
<div class="block">This compares a soon to be created subway station with other created subway station.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#createSubwayStation(java.io.File,java.io.File,java.io.File)">createSubwayStation</a></span>&#8203;(java.io.File&nbsp;transportGeoFileOSM,
java.io.File&nbsp;transportGeoFileSTIF,
java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateFeature()">generateFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>org.locationtech.jts.geom.MultiPoint</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEntrances()">getEntrances</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSubwayStationSFB()">getSubwayStationSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>private static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#iDsToId(java.util.List)">iDsToId</a></span>&#8203;(java.util.List&lt;java.lang.String[]&gt;&nbsp;idss)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>private static <a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mergeSubwayStations(java.util.List)">mergeSubwayStations</a></span>&#8203;(java.util.List&lt;<a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a>&gt;&nbsp;subwayStationList)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setEntrances(org.locationtech.jts.geom.MultiPoint)">setEntrances</a></span>&#8203;(org.locationtech.jts.geom.MultiPoint&nbsp;entrances)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.transport.Station">Methods inherited from class&nbsp;fr.ici.dataImporter.transport.<a href="Station.html" title="class in fr.ici.dataImporter.transport">Station</a></h3>
<code><a href="Station.html#calculateFrequency()">calculateFrequency</a>, <a href="Station.html#getAffluence(java.io.File,java.io.File,java.io.File,java.lang.String,java.util.List,java.lang.String%5B%5D)">getAffluence</a>, <a href="Station.html#getAffluence(java.io.File,java.io.File,java.io.File,java.lang.String,java.util.List,java.lang.String%5B%5D,int)">getAffluence</a>, <a href="Station.html#getAffluence(java.io.File,java.io.File,java.util.List,java.util.List,java.lang.String)">getAffluence</a>, <a href="Station.html#getBestAffluence(java.io.File,java.io.File,java.io.File,java.util.List,java.lang.String%5B%5D)">getBestAffluence</a>, <a href="Station.html#getEveningWeekdayAffluence()">getEveningWeekdayAffluence</a>, <a href="Station.html#getEveryTypeProfileDay()">getEveryTypeProfileDay</a>, <a href="Station.html#getIDsSTIF()">getIDsSTIF</a>, <a href="Station.html#getLineNames()">getLineNames</a>, <a href="Station.html#getMaxFrequency(java.lang.String%5B%5D)">getMaxFrequency</a>, <a href="Station.html#getMorningWeekdayAffluence()">getMorningWeekdayAffluence</a>, <a href="Station.html#getName()">getName</a>, <a href="Station.html#getProfileDayWithoutWorkDay()">getProfileDayWithoutWorkDay</a>, <a href="Station.html#setIdSTIF(java.util.List)">setIdSTIF</a>, <a href="Station.html#setName(java.lang.String)">setName</a>, <a href="Station.html#transformExploitantToCode(java.lang.String)">transformExploitantToCode</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="entrances">
<h3>entrances</h3>
<div class="member-signature"><span class="return-type">org.locationtech.jts.geom.MultiPoint</span>&nbsp;<span class="member-name">entrances</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(org.locationtech.jts.geom.MultiPoint,java.util.List,java.lang.String,java.util.List)">
<h3>SubwayStation</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SubwayStation</span>&#8203;(<span class="parameters">org.locationtech.jts.geom.MultiPoint&nbsp;entrances,
java.util.List&lt;java.lang.String[]&gt;&nbsp;idsSTIF,
java.lang.String&nbsp;nameStation,
java.util.List&lt;java.lang.String&gt;&nbsp;lineName)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.io.File,java.io.File,java.io.File)">
<h3>SubwayStation</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SubwayStation</span>&#8203;(<span class="parameters">java.io.File&nbsp;dailyPProfiles,
java.io.File&nbsp;dailyVValidation,
java.io.File&nbsp;folderOut)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="add(org.locationtech.jts.geom.MultiPoint,java.lang.String[],java.lang.String,java.lang.String,java.util.List)">
<h3>add</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a>&gt;</span>&nbsp;<span class="member-name">add</span>&#8203;(<span class="parameters">org.locationtech.jts.geom.MultiPoint&nbsp;mp,
java.lang.String[]&nbsp;codeSTIF,
java.lang.String&nbsp;nameStation,
java.lang.String&nbsp;lineName,
java.util.List&lt;<a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a>&gt;&nbsp;alreadyProceededSubwayStation)</span></div>
<div class="block">This compares a soon to be created subway station with other created subway station. ID is unique for the couple station/line. As we want to calculate the attendance per
 stations, not necessarily per lines, we add the ids regarding to their names (which are also uniques).</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>mp</code> - </dd>
<dd><code>codeSTIF</code> - </dd>
<dd><code>nameStation</code> - </dd>
<dd><code>alreadyProceededSubwayStation</code> - </dd>
<dt>Returns:</dt>
</dl>
</section>
</li>
<li>
<section class="detail" id="mergeSubwayStations(java.util.List)">
<h3>mergeSubwayStations</h3>
<div class="member-signature"><span class="modifiers">private static</span>&nbsp;<span class="return-type"><a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a></span>&nbsp;<span class="member-name">mergeSubwayStations</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a>&gt;&nbsp;subwayStationList)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSubwayStationSFB()">
<h3>getSubwayStationSFB</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSubwayStationSFB</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getEntrances()">
<h3>getEntrances</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.MultiPoint</span>&nbsp;<span class="member-name">getEntrances</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setEntrances(org.locationtech.jts.geom.MultiPoint)">
<h3>setEntrances</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setEntrances</span>&#8203;(<span class="parameters">org.locationtech.jts.geom.MultiPoint&nbsp;entrances)</span></div>
</section>
</li>
<li>
<section class="detail" id="iDsToId(java.util.List)">
<h3>iDsToId</h3>
<div class="member-signature"><span class="modifiers">private static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">iDsToId</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.String[]&gt;&nbsp;idss)</span></div>
</section>
</li>
<li>
<section class="detail" id="generateFeature()">
<h3>generateFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateFeature</span>()
                                                         throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="Station.html#generateFeature()">generateFeature</a></code>&nbsp;in class&nbsp;<code><a href="Station.html" title="class in fr.ici.dataImporter.transport">Station</a></code></dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="createSubwayStation(java.io.File,java.io.File,java.io.File)">
<h3>createSubwayStation</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">createSubwayStation</span>&#8203;(<span class="parameters">java.io.File&nbsp;transportGeoFileOSM,
java.io.File&nbsp;transportGeoFileSTIF,
java.io.File&nbsp;outFolder)</span>
                                throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SubwayStation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
